#ifndef CLOEUPLOADFILE_H
#define CLOEUPLOADFILE_H

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class cloeUploadFile;
}

class cloeUploadFile : public QWidget
{
    Q_OBJECT
signals:
    void cancel();
    void uploadSucceed();
public:
    explicit cloeUploadFile(__int64 nExamRecordDataId, std::vector<QString> vFileTypes, QWidget *parent = nullptr);
    ~cloeUploadFile();

    void initUI();
private slots:
    void on_btn_cloe_selFile_clicked();

    void on_btn_cancelUpload_clicked();

    void on_btn_comfirmUpload_clicked();

    void on_btn_fc_close_clicked();

	void onSubmitOfflinePaper(CSubmitOfflinePaper submitOfflinePaper);
private:
	void showEvent(QShowEvent *);
    Ui::cloeUploadFile *ui;
	__int64 m_nExamRecordDataId;
};

#endif // CLOEUPLOADFILE_H
